> For the complete documentation index, see [llms.txt](https://docs.onefinity.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onefinity.network/technical-documentation/tools-and-sdks-for-developers.md).

# Tools and SDKs for developers

## Ethereum Tools and SDKs

Standard Ethereum tools are compatible with OneFinity, provided the RPC configuration is updated. Examples:

* [Hardhat Configuration](https://hardhat.org/hardhat-runner/docs/config): Add OneFinity's RPC under `networks`.
* [Metamask Configuration](https://support.metamask.io/networks-and-sidechains/managing-networks/how-to-add-a-custom-network-rpc/): Remember that MetaMask can also connect to the Remix IDE.

Websockets are currently unsupported, as noted in the [RPC section](/technical-documentation/integration-of-the-ethereum-remote-procedure-call-rpc.md).

***

## MultiversX Tools and SDKs

Since OneFinity inherits MultiversX’s framework, its tools and SDKs are fully compatible.&#x20;

Key difference in tool usage: OneFinity requires a custom HRP (“**one**”) for address formatting. When working with bech32 addresses, you may need to specify this custom HRP.

Check the examples below on how to correctly use the tools/SDKs:

* **mxpy**: [Updating mxpy Configuration](https://docs.multiversx.com/sdk-and-tools/sdk-py/mxpy-cli/#updating-the-mxpy-configuration)
* **sdk-py**: [Changing Default HRP](https://docs.multiversx.com/sdk-and-tools/sdk-py/sdk-py-cookbook/#changing-the-default-hrp)
* **sdk-js**: Use the below snippet

```javascript
import { LibraryConfig } from "@multiversx/sdk-core"; 

LibraryConfig.DefaultAddressHrp = "one";
```

### Lite Wallet

Similar to the MultiversX web wallet, this solution allows logging in using either a PEM file or a Keystore. It also offers functionalities such as issuing tokens, creating NFTs, and sending transactions. Essentially, it's a "lite" version of the MultiversX web wallet, tailored for sovereign chains.

#### *How to integrate the Lite Wallet in OneFinity dApps*

1. Change the default address HRP

When using [mx-sdk-js-core](https://github.com/multiversx/mx-sdk-js-core), ensure you have version ***13.2.0-beta.2*** or newer.

When using [mx-sdk-dapp](https://github.com/multiversx/mx-sdk-dapp), ensure you have version ***2.40.7*** or newer.

Change the ***DefaultAddressHrp*** as follows (as also described above):

```javascript
LibraryConfig.DefaultAddressHrp = 'one';
```

2. Change the default DappProvider configuration

```tsx
<DappProvider
          ...
          customNetworkConfig={{
            ...
            apiAddress: '...',
            walletAddress: '...',
            ...
          }}>
```

Use the appropriate URLs for your environment from the [available list](/technical-documentation/environments.md).

3. Show the web wallet button

```tsx
<CrossWindowLoginButton
    {...commonProps}
    loginButtonText='Web Wallet'
/>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onefinity.network/technical-documentation/tools-and-sdks-for-developers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
